import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import javax.swing.*;

public class GUIApplet extends JApplet implements ActionListener {

	JButton b, b2;
	JLabel l;
	JTextField tf;
	JTextArea ta;

  public void init()
  {
    // creating the components
    b = new JButton( "Button 1" );
    b2 = new JButton( "whatever2" );
    l = new JLabel( "Label 1" );
    tf = new JTextField();
    ta = new JTextArea();

    // adding the components
    Container cp = getContentPane();
//  cp.setLayout( new GridLayout(2,2) );

    cp.add( b, BorderLayout.NORTH );
    cp.add( b2, BorderLayout.WEST );
    cp.add( tf, BorderLayout.SOUTH );
    cp.add( ta, BorderLayout.CENTER );

    // add action event handler
    b.addActionListener( this );
    b2.addActionListener( this );

/* for GridLayout
    cp.add( b);
    cp.add( l );
    cp.add( tf );
    cp.add( ta );
*/
  }

  public void actionPerformed( ActionEvent e )
  {
    String s = ta.getText();

/* determine the source of the event using getSource()

    if( e.getSource() == b ) ta.setText( s + "you just clicked button 1\n" );
    if( e.getSource() == b2 ) ta.setText( s + "you just clicked button 2\n" );

*/

    /* determine the source of the event using getActionCommand() */
    if( e.getActionCommand().equals("Button 1" ) )
      ta.setText( s + "you just clicked button 1\n" );
    if( e.getActionCommand().equals("whatever2") )
      ta.setText( s + "you just clicked button 2\n" );
  }

  /** We usually don't use paint() in this type of GUI programming, but
   *  we could.
   */
/*
  public void paint( Graphics g )
  {
    super.paint(g);
    g.drawString( "welcome to gui programming", 25, 25);
  }
*/

} // end of GUIApplet class

 
